summaryrefslogtreecommitdiff
path: root/network/rtl-wifi
diff options
context:
space:
mode:
authorChristophe Nguyen <cnguyenminhtan@free.fr>2010-05-11 20:01:43 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:43 +0200
commit062e491ce0345915f11f1b3a7c7a2de438fc7bb4 (patch)
tree3670f0d00e078760a07bebecfef99b341013c96a /network/rtl-wifi
parentf26b01910a311ae90ba84cd91361f060644e4b58 (diff)
downloadslackbuilds-062e491ce0345915f11f1b3a7c7a2de438fc7bb4.tar.gz
network/rtl-wifi: Added to 12.0 repository
Diffstat (limited to 'network/rtl-wifi')
-rw-r--r--network/rtl-wifi/README24
-rw-r--r--network/rtl-wifi/doinst.sh4
-rw-r--r--network/rtl-wifi/rtl-wifi.SlackBuild92
-rw-r--r--network/rtl-wifi/rtl-wifi.info8
-rw-r--r--network/rtl-wifi/slack-desc19
5 files changed, 147 insertions, 0 deletions
diff --git a/network/rtl-wifi/README b/network/rtl-wifi/README
new file mode 100644
index 0000000000..7229e79066
--- /dev/null
+++ b/network/rtl-wifi/README
@@ -0,0 +1,24 @@
+rtl-wifi driver snapshot release
+
+This package provides support to Realtek Wifi cards based on rtl8187 or
+rtl8180 chipsets. It will compile and install the following modules:
+ ieee80211_crypt-rtl
+ ieee80211_crypt_wep-rtl
+ ieee80211_crypt_tkip-rtl
+ ieee80211_crypt_ccmp-rtl
+ ieee80211-rtl
+ r8187
+ r8180
+
+The rtl-wifi installation instructions indicate that you must remove the
+stock kernel's ieee80211 and possibly mac80211 modules prior to installing
+this package. While this is not something we prefer to do, if you need
+this package, you might feel differently. The instructions suggest the
+following:
+ rm -rf /lib/modules/<kernel_version>/kernel/net/ieee80211
+ rm -rf /lib/modules/<kernel_version>/kernel/net/mac80211
+We recommend that you move these two directories elsewhere instead so that
+you can easily restore them in the event that you no longer need the
+rtl-wifi package. Be sure to run "depmod -a" after adding or removing
+kernel modules.
+For more information, see http://rtl-wifi.sourceforge.net/wiki/Installing
diff --git a/network/rtl-wifi/doinst.sh b/network/rtl-wifi/doinst.sh
new file mode 100644
index 0000000000..dee3bd1a85
--- /dev/null
+++ b/network/rtl-wifi/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x sbin/depmod ]; then
+ chroot . /sbin/depmod -a 1> /dev/null 2> /dev/null
+fi
+
diff --git a/network/rtl-wifi/rtl-wifi.SlackBuild b/network/rtl-wifi/rtl-wifi.SlackBuild
new file mode 100644
index 0000000000..b2a569eb97
--- /dev/null
+++ b/network/rtl-wifi/rtl-wifi.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for rtl-wifi
+
+# Copyright 2007 Christophe Nguyen <cnguyenminhtan@free.fr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org> to support
+# building modules for something other than the running kernel.
+
+PRGNAM=rtl-wifi
+VERSION=20070729
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+KERNEL=${KERNEL:-$(uname -r)}
+PKG_VERSION=${VERSION}_$(echo $KERNEL | tr - _)
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+make KVER=$KERNEL
+
+install -D -m 0644 $TMP/$PRGNAM/ieee80211/ieee80211_crypt-rtl.ko \
+ $PKG/lib/modules/$KERNEL/kernel/net/ieee80211/ieee80211_crypt-rtl.ko
+install -D -m 0644 $TMP/$PRGNAM/ieee80211/ieee80211_crypt_wep-rtl.ko \
+ $PKG/lib/modules/$KERNEL/kernel/net/ieee80211/ieee80211_crypt_wep-rtl.ko
+install -D -m 0644 $TMP/$PRGNAM/ieee80211/ieee80211_crypt_tkip-rtl.ko \
+ $PKG/lib/modules/$KERNEL/kernel/net/ieee80211/ieee80211_crypt_tkip-rtl.ko
+install -D -m 0644 $TMP/$PRGNAM/ieee80211/ieee80211_crypt_ccmp-rtl.ko \
+ $PKG/lib/modules/$KERNEL/kernel/net/ieee80211/ieee80211_crypt_ccmp-rtl.ko
+install -D -m 0644 $TMP/$PRGNAM/ieee80211/ieee80211-rtl.ko \
+ $PKG/lib/modules/$KERNEL/kernel/net/ieee80211/ieee80211-rtl.ko
+install -D -m 0644 $TMP/$PRGNAM/rtl8187-newstack/r8187.ko \
+ $PKG/lib/modules/$KERNEL/kernel/drivers/net/wireless/r8187.ko
+install -D -m 0644 $TMP/$PRGNAM/rtl818x-newstack/r8180.ko \
+ $PKG/lib/modules/$KERNEL/kernel/drivers/net/wireless/r8180.ko
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{ieee80211,rtl{8187,818x}-newstack}
+cp -a ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a ieee80211/{LICENSE,README} $PKG/usr/doc/$PRGNAM-$VERSION/ieee80211
+for i in AUTHORS CHANGES COPYING INSTALL LICENSE README ; do
+ cp -a rtl8187-newstack/$i $PKG/usr/doc/$PRGNAM-$VERSION/rtl8187-newstack ;
+done
+for i in AUTHORS CHANGES COPYING INSTALL LICENSE \
+ README README.adhoc README.master ; do
+ cp -a rtl818x-newstack/$i $PKG/usr/doc/$PRGNAM-$VERSION/rtl818x-newstack ;
+done
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKG_VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/rtl-wifi/rtl-wifi.info b/network/rtl-wifi/rtl-wifi.info
new file mode 100644
index 0000000000..b33f74bf32
--- /dev/null
+++ b/network/rtl-wifi/rtl-wifi.info
@@ -0,0 +1,8 @@
+PRGNAM="rtl-wifi"
+VERSION="20070729"
+HOMEPAGE="http://rtl-wifi.sourceforge.net"
+DOWNLOAD="http://www.hauke-m.de/fileadmin/rtl-wifi/rtl-wifi-20070729.tar.bz2"
+MD5SUM="fb262a1128e754c072ecd0807b02566b"
+MAINTAINER="Christophe Nguyen"
+EMAIL="cnguyenminhtan@free.fr"
+APPROVED="rworkman"
diff --git a/network/rtl-wifi/slack-desc b/network/rtl-wifi/slack-desc
new file mode 100644
index 0000000000..1c5146ff29
--- /dev/null
+++ b/network/rtl-wifi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+rtl-wifi: rtl-wifi (rtl-wifi driver snapshot release)
+rtl-wifi:
+rtl-wifi: Driver for Realtek wireless network adapters using the
+rtl-wifi: rtl8180 or rtl8187 chipsets.
+rtl-wifi:
+rtl-wifi: For more information, visit the project's home page at:
+rtl-wifi:
+rtl-wifi: http://rtl-wifi.sourceforge.net/wiki/Main_Page
+rtl-wifi:
+rtl-wifi:
+rtl-wifi: